---
updatedAt: 2026-05-20T16:41:44.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get the Supported Protocol Info

Returns the transaction endpoints supported for the given chain.

<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `1` (fixed)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Enter the parameters available below.
> 3. Click **Try It!**.

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
    width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px;
    overflow-y: scroll;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff;
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5;
  }
  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34;
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66;
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
      <thead>
        <tr>
          <th>Protocol</th>
          <th>Network</th>
          <th>Path Parameter</th>
        </tr>
      </thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche-mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche-testnet-c</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin-testnet4</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td>Cosmos</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">cosmos-mainnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum-sepolia</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum-hoodi</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin-testnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Near</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">near-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">near-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="4">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot-westend</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Mainnet</td>
    <td><code class="copyable-code">polkadot-assethub-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Westend</td>
    <td><code class="copyable-code">polkadot-assethub-westend</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Amoy</td>
    <td><code class="copyable-code">polygon-amoy</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">solana-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Devnet</td>
    <td><code class="copyable-code">solana-devnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Stellar</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">stellar-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">stellar-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Tron</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">tron-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Nile</td>
    <td><code class="copyable-code">tron-nile</code></td>
  </tr>
</tbody>
    </table>
  </div>
</div>

<script>
  function filterTable() {
    const input = document.getElementById('searchProtocolInput').value.toLowerCase();
    const rows = document.querySelectorAll('#protocolTableSearchable tbody tr');
    rows.forEach(row => {
      row.style.display = row.innerText.toLowerCase().includes(input) ? '' : 'none';
    });
  }
</script>

</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Transaction API",
    "version": "1.0.0",
    "description": "Blockdaemon transaction API to create, compile, send and verify transactions for supported blockchains.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/tx/v1",
      "description": "Blockdaemon transaction API"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{blockchain_id}": {
      "parameters": [
        {
          "$ref": "#/components/parameters/blockchain_id"
        }
      ],
      "get": {
        "summary": "Get the Supported Protocol Info",
        "description": "Returns the transaction endpoints supported for the given chain.",
        "operationId": "GetOverview",
        "responses": {
          "200": {
            "description": "A list of endpoints",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OverviewResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "parameters": {
      "blockchain_id": {
        "name": "blockchain_id",
        "in": "path",
        "required": true,
        "description": "Either a hyphen seperated protocol-network pair like `ethereum-mainnet` or the `chain-id`",
        "schema": {
          "type": "string",
          "default": "ethereum-mainnet"
        }
      }
    },
    "schemas": {
      "OverviewResponse": {
        "type": "object",
        "properties": {
          "endpoints": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "endpoints"
        ]
      }
    }
  }
}
```